Loading...
Searching...
No Matches
libsbml.CompPkgNamespaces Class Reference
Hierarchical Model Composition
Inheritance diagram for libsbml.CompPkgNamespaces:
[legend]

## Detailed Description

comp SBMLNamespaces extension for the package.

This class of objects is defined by libSBML only and has no direct equivalent in terms of SBML components. This class is not prescribed by the SBML specifications, although it is used to implement features defined in SBML.

SBML Level 3 “packages” add features on top of SBML Level 3 Core. When a model definition uses an SBML package, it must declare the Level and Version of SBML Core and the Version of the package being used. The package name, the SBML Level and Version, and the package Version correspond uniquely to an XML namespace added to the XML encoding of the SBML model.

LibSBML Level 3 extensions are implementations of support for SBML Level 3 packages. Each package is implemented as a separate extension. To allow software applications to query the level and version information of an extension's package implementation, libSBML uses specialized object classes. For the extension implementing the SBML “comp” package, the object class is CompPkgNamespaces. (This class is a specialization of a common base class called `SBMLExtensionNamespaces` that is not exposed in the libSBML programming language interfaces other than C++.)

Objects of class CompPkgNamespaces can be passed to constructors of SBML components defined by “comp” in order to ensure that the correct component structure is created. This is necessary because different versions of an SBML Level 3 package may introduce differences in the definition of the components defined by the package. (For example, later editions of a package may introduce new attributes on a component that are not present in earlier editions of the package specification.)

See also
  FbcPkgNamespaces
  LayoutPkgNamespaces
  QualPkgNamespaces
  GroupsPkgNamespaces
  MultiPkgNamespaces

## Public Member Functions

| clone (self)
| getPackageName (self)
| getURI (self)

## Member Function Documentation

## clone()

libsbml.CompPkgNamespaces.clone | ( |  | self | ) |

Creates and returns a deep copy of this SBMLExtensionNamespaces.

    clone()    CompPkgNamespaces

Returns
  a (deep) copy of this SBMLExtensionNamespaces.

## getPackageName()

libsbml.CompPkgNamespaces.getPackageName | ( |  | self | ) |

Returns the name of the main package for this namespace.

    getPackageName()    string

Returns
  the name of the main package for this namespace. 'core' will be returned if this namespace is defined in the SBML core.

## getURI()

libsbml.CompPkgNamespaces.getURI | ( |  | self | ) |

Returns a string representing the SBML XML namespace of this object.

    getURI()    string

Returns
  a string representing the SBML namespace that reflects the SBML Level and Version of this object.